<?php
/**
 * cleanup.php - Cache and temporary file cleanup.
 *
 * @author $Author: dtong $
 * @version $Id: cleanup.php,v 1.4 2012/02/06 04:15:03 dtong Exp $
 * @copyright Copyright (c) 2011, Tiller Software Co., Ltd.
*/

class Cleanup extends CI_Controller {
	const WINDOW_ID = 'admincleanupwindow';

	function __construct() {
		parent::__construct();
		$this->access_model->checkaccess_any('admin_system_management');
		osa_load_lang('admin');
	}

	function index() {
		$data = new stdClass();
		$data->winid = self::WINDOW_ID;
		$this->load->view('admin/cleanup_view', $data);
	}

	function run() {
		$this->load->library('admin/Admin_common');
		echo $this->load->view('template/popup_header_view', FALSE, TRUE);
		@ob_implicit_flush(true);
		@ob_end_flush();
		$this->admin_common->cleanup(TRUE, TRUE);
		echo('<br /><center>' . osa_button('window.close();return false;') . '</center></body></html>');
		exit;
	}
}
