<?php
/**
 * desc_lang.php - Course description language file.
 *
 * @author $Author: dtong $
 * @version $Id: desc_lang.php,v 1.33 2012/05/10 13:03:23 dtong Exp $
 * @copyright Copyright (c) 2009, Tiller Software Co., Ltd.
*/

static $s_desc_lang = array(

	'desc_header' => 'Course Description',
	'desc_editor_name' => 'Course Editor',
	'desc_course_name' => 'Course Name',
	'desc_grade_level' => 'Display Grade Level',
	'desc_grade' => 'Grade',
	'desc_prerequisites' => 'Prerequisites',
	'desc_course_desc' => 'Course Description',
	'desc_resouece_list' => 'Resource List',
	'desc_summer_reading' => 'Summer Readings',
	'desc_button_edit' => 'Edit',
	'desc_button_chageeditor' => 'Change Editor',
	'desc_button_addeditor' => 'Add Editor',
	'desc_button_reset' => 'Reset',
	'desc_requiredfileds' => '%s is a required filed.',
	'desc_pleasecorrecterror' => 'Please correct the following error(s):<br /><br />',
	'desc_button_save' => 'Save',
	'desc_button_cancel' => 'Cancel',
	'desc_button_add' => 'Add',
	'desc_updatesuccess_msg' => 'Data Saved Successfully',
	'desc_cancel_msg' => 'Data input has been canceled.',

	'desc_chguser_header' => 'Please select an editor',
//	'desc_chguser_select' => 'Please Select',
	'desc_chguser_button_close' => 'Cancel',
	'desc_chguser_button_copy' => 'Select',

	'desc_seleditor_wintitle' => 'Select Editor',
	'desc_internalsystemerror' => 'Internal error, please logout and login again',
	'desc_faileddescupdate' => "Failed to update course description",
	'desc_departmentname' => 'Department',
	'desc_displaygrademissing' => 'Display grade level is missing',
	'desc_faileddisplaygradeupdate' => 'Failed to update display grade level',
	'desc_invaliddesc' => 'Invalid course description reference supplied. Please logout and login again.',
	'desc_button_editmode' => 'Turn editing on',
	'desc_missingeditor' => 'Editor name is a required field',
	'desc_selectallusers' => "List All Users",
	'desc_selectcourseusers' => 'List Course Teachers Only',

	'desc_label_show' => 'Yes',
	'desc_label_hide' => '<font color="red"><b>No</b></font>',
	'desc_button_show' => 'Unhide Course',
	'desc_button_hide' => 'Hide Course',
	'desc_course_hidden' => 'Course Is Visible',

	'desc_selected_course_editor' => '** Course Teacher(s) **',
	'desc_selected_teacher' => '** All Other Teachers **',
	'desc_course_editer_head' => 'Assign Editor(s) To Course',
	'desc_course_editer_footer' => '',
	'desc_course_editer_seleteuser' => '...Select User(s)...',
	'desc_course_editer_resultuser' => '...Editor(s) assigned to this course...',
	'desc_course_editer_assign' => 'Assign selected teacher(s) as editor(s)',
	'desc_course_editer_disable' => 'Please select a teacher',
	'desc_course_editer_btn_done' => 'Done',
	'desc_course_editor_deletemsg' => 'Are you sure to delete this editor?',
	'desc_course_editor_add_error' => 'Failed to add editor(s).<br /><br />Please try again.',

	'desc_title_pdf' => 'Course Export PDF',
	'desc_button_pdf' => 'View PDF',

	'course_sum_startdate' => 'From',
	'course_sum_enddate' => 'to',
	'course_sum_lastdate' => 'Published on',
	'course_sum_editor' => 'by',
	'course_sum_title' => 'Published Units',
	'course_sum_head' => 'Course Summary',

	'unit_calendar_error' =>
	'There are no published units in this course.<br /><br />The unit calendar requires at least one published unit.',
	'unit_calendar_close' => 'Close',
	'unit_calendar_unit' => 'Unit',
/*
	'unit_calendar_startdate' => 'start',
	'unit_calendar_enddate' => 'ends',
*/
	'unit_calendar_from' => 'from',
	'unit_calendar_to' => 'to',
	'unit_calendar_pdf' => 'View PDF',
	'unit_calendar_window_title' => 'Unit Calendar',
	'unit_calendar_incorrect_dates' => ' *** INCORRECT START AND END DATES *** ',

	'desc_course_resources' => 'Course Resources:',

);

$lang = &$s_desc_lang;
