<?php
/**
 * mhandle_is_goal_leader.php - Menu event handle for testing goal leader access.
 *
 * @author $Author: dtong $
 * @version $Id: mhandle_is_goal_leader.php,v 1.2 2011/09/29 09:28:53 dtong Exp $
 * @copyright Copyright (c) 2011, Tiller Software Co., Ltd.
*/

require_once ('mhandle_base.php');

class mhandle_is_goal_leader extends mhandle_base {

	function __construct() {
		parent::__construct();
		$this->CI->load->model('goal/goal_model');
	}

	function invoke() {
		if ( osa_check_access('admin_goal_write') ) {
			return TRUE;
		}
		return $this->CI->goal_model->is_goal_leader();
	}

}